events when using on/off on the visualizer instance for example:

    const onVisualizerLoaded = ({ detail }) => {
     const visualizerApp: Visualizer = detail.visualizer;
     const applications = visualizerApp.GetApplicationsList();
     console.log(applications);
    };
    const containerElement = document.querySelector('.visualizer');
    containerElement.addEventListener('visualizerLoaded', onVisualizerLoaded);

## Index

### Type aliases

- OnSceneLoading

### Events

- OnCamera
- OnContainerInjected
- OnProductChanged
- OnRendered
- OnSceneConfigurationLabelChanged
- OnSceneLoaded
- OnUserChangedProduct
- OnVisualizerLoaded
- onApplicationHotspotClicked
- onApplicationsStripButtonClicked
- onApplicationsStripOpened
- onAsyncOperationEnded
- onAsyncOperationStarted
- onCloseFullscreenClicked
- onFavoriteSceneClicked
- onFavoritesPanelClosed
- onFavoritesPanelOpened
- onFavoritesSceneDisplayed
- onFullscreenClicked
- onHoverHotspot
- onOrderSample
- onProductAddedToCart
- onProductAddedToFavorites
- onProductRemovedFromFavorites
- onSceneAddedToFavorites
- onSceneRemovedFromFavorites
- onSceneTouched
- onScenesPanelClosed
- onScenesPanelOpened
- onSummaryClicked

## Type aliases

### OnSceneLoading

OnSceneLoading: (event: CustomEvent & { detail: { scene: IScene; sceneConfiguration: ISceneConfigurationEntity } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { scene: IScene; sceneConfiguration: ISceneConfigurationEntity } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { scene: IScene; sceneConfiguration: ISceneConfigurationEntity } }

    #### Returns void

## Events

### OnCamera

OnCamera: (event: CustomEvent & { detail: { eventType: ICameraEventType } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { eventType: ICameraEventType } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { eventType: ICameraEventType } }

    #### Returns void

### OnContainerInjected

OnContainerInjected: (event: CustomEvent & { detail: { visualizer: Visualizer } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { visualizer: Visualizer } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { visualizer: Visualizer } }

    #### Returns void

### OnProductChanged

OnProductChanged: (event: CustomEvent & { detail: { product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { product: IProduct } }

    #### Returns void

### OnRendered

OnRendered: (event: CustomEvent & { detail: { hotspots?: { application: string; position: { x: number; y: number }; title: string }[] } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { hotspots?: { application: string; position: { x: number; y: number }; title: string }[] } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { hotspots?: { application: string; position: { x: number; y: number }; title: string }[] } }

    #### Returns void

### OnSceneConfigurationLabelChanged

OnSceneConfigurationLabelChanged: () => void

#### Type declaration

- - (): void

  - #### Returns void

### OnSceneLoaded

OnSceneLoaded: (event: CustomEvent & { detail: { scene: IScene; sceneConfiguration: ISceneConfigurationEntity } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { scene: IScene; sceneConfiguration: ISceneConfigurationEntity } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { scene: IScene; sceneConfiguration: ISceneConfigurationEntity } }

    #### Returns void

### OnUserChangedProduct

OnUserChangedProduct: (event: CustomEvent & { detail: { product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { product: IProduct } }

    #### Returns void

### OnVisualizerLoaded

OnVisualizerLoaded: (event: CustomEvent & { detail: { visualizer: Visualizer } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { visualizer: Visualizer } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { visualizer: Visualizer } }

    #### Returns void

### onApplicationHotspotClicked

onApplicationHotspotClicked: (event: CustomEvent & { detail: { application: IApplication } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { application: IApplication } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { application: IApplication } }

    #### Returns void

### onApplicationsStripButtonClicked

onApplicationsStripButtonClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onApplicationsStripOpened

onApplicationsStripOpened: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onAsyncOperationEnded

onAsyncOperationEnded: (event: CustomEvent & { detail: { processId: string } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { processId: string } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { processId: string } }

    #### Returns void

### onAsyncOperationStarted

onAsyncOperationStarted: (event: CustomEvent & { detail: { processId: string } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { processId: string } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { processId: string } }

    #### Returns void

### onCloseFullscreenClicked

onCloseFullscreenClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onFavoriteSceneClicked

onFavoriteSceneClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onFavoritesPanelClosed

onFavoritesPanelClosed: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onFavoritesPanelOpened

onFavoritesPanelOpened: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onFavoritesSceneDisplayed

onFavoritesSceneDisplayed: (event: CustomEvent & { detail: { scene: IFavoriteScene } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { scene: IFavoriteScene } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { scene: IFavoriteScene } }

    #### Returns void

### onFullscreenClicked

onFullscreenClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onHoverHotspot

onHoverHotspot: (event: CustomEvent & { detail: { hotspot: { application: string; isHover: boolean; title: string } } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { hotspot: { application: string; isHover: boolean; title: string } } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { hotspot: { application: string; isHover: boolean; title: string } } }

    #### Returns void

### onOrderSample

onOrderSample: (event: CustomEvent & { detail: { product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { product: IProduct } }

    #### Returns void

### onProductAddedToCart

onProductAddedToCart: (event: CustomEvent & { detail: { product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { product: IProduct } }

    #### Returns void

### onProductAddedToFavorites

onProductAddedToFavorites: (event: CustomEvent & { detail: { favorites: IFavoriteProductList; product?: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { favorites: IFavoriteProductList; product?: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { favorites: IFavoriteProductList; product?: IProduct } }

    #### Returns void

### onProductRemovedFromFavorites

onProductRemovedFromFavorites: (event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }

    #### Returns void

### onSceneAddedToFavorites

onSceneAddedToFavorites: (event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene?: IFavoriteScene } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene?: IFavoriteScene } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene?: IFavoriteScene } }

    #### Returns void

### onSceneRemovedFromFavorites

onSceneRemovedFromFavorites: (event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }

    #### Returns void

### onSceneTouched

onSceneTouched: (event: CustomEvent & { detail: { scene: IScene } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { scene: IScene } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { scene: IScene } }

    #### Returns void

### onScenesPanelClosed

onScenesPanelClosed: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onScenesPanelOpened

onScenesPanelOpened: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onSummaryClicked

onSummaryClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

Generated using TypeDoc